> ## Documentation Index
> Fetch the complete documentation index at: https://ancplua.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job

> Get generation job status



## OpenAPI

````yaml GET /api/v1/configurator/jobs/{jobId}
openapi: 3.0.0
info:
  title: QYL Observability API
  version: '2026-01-26'
servers:
  - url: https://api.staging.qyl.dev
    description: QYL Staging API
    variables: {}
  - url: https://api.qyl.dev
    description: QYL Production API
    variables: {}
security: []
tags:
  - name: Streaming
  - name: Traces
  - name: Logs
  - name: Metrics
  - name: Sessions
  - name: Errors
  - name: Deployments
  - name: Services
  - name: Health
  - name: Workspaces
  - name: Onboarding
  - name: Configurator
  - name: Issues
  - name: Workflows
  - name: Search
  - name: Alerts
paths:
  /api/v1/configurator/jobs/{jobId}:
    get:
      tags:
        - Configurator
      description: Get generation job status
      operationId: ConfiguratorApi_getJob
      parameters:
        - name: jobId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Qyl.Domains.Configurator.GenerationJobEntity
        '404':
          description: Resource not found (404)
          headers:
            X-Trace-Id:
              required: false
              description: Trace ID for correlation
              schema:
                type: string
            X-Request-Id:
              required: false
              description: Request ID for support
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Qyl.Common.Errors.NotFoundError'
        '500':
          description: Internal server error (500)
          headers:
            X-Trace-Id:
              required: false
              description: Trace ID for correlation
              schema:
                type: string
            X-Request-Id:
              required: false
              description: Request ID for support
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Qyl.Common.Errors.InternalServerError'
components:
  schemas:
    Qyl.Domains.Configurator.GenerationJobEntity:
      type: object
      required:
        - id
        - workspace_id
        - profile_id
        - job_type
        - status
        - priority
        - queued_at
      properties:
        id:
          type: string
          description: Job ID
        workspace_id:
          type: string
          description: Workspace
        profile_id:
          type: string
          description: Profile
        job_type:
          allOf:
            - $ref: '#/components/schemas/Qyl.Domains.Configurator.GenerationJobType'
          description: Job type
        status:
          allOf:
            - $ref: '#/components/schemas/Qyl.Domains.Configurator.JobStatus'
          description: Job status
        priority:
          type: integer
          format: int32
          description: Priority (higher = more urgent)
        input_hash:
          type: string
          description: Hash of inputs for dedup
        output_path:
          type: string
          description: Local path where output was written
        output_hash:
          type: string
          description: Hash of generated output
        error_message:
          type: string
          description: Error message if failed
        queued_at:
          type: string
          format: date-time
          description: Queue timestamp
        started_at:
          type: string
          format: date-time
          description: Start timestamp
        completed_at:
          type: string
          format: date-time
          description: Completion timestamp
        duration_ms:
          type: integer
          format: int32
          description: Duration in milliseconds
      description: Code generation job entry
      x-csharp-type: GenerationJobEntity
      x-duckdb-table: generation_jobs
    Qyl.Common.Errors.NotFoundError:
      type: object
      required:
        - title
      properties:
        title:
          type: string
          enum:
            - Not Found
        resource_type:
          type: string
          description: The type of resource that was not found
        resource_id:
          type: string
          description: The identifier that was not found
      allOf:
        - $ref: '#/components/schemas/Qyl.Common.Errors.ProblemDetails'
      description: Resource not found (404)
    Qyl.Common.Errors.InternalServerError:
      type: object
      required:
        - title
      properties:
        title:
          type: string
          enum:
            - Internal Server Error
        error_code:
          type: string
          description: Error code for support reference
      allOf:
        - $ref: '#/components/schemas/Qyl.Common.Errors.ProblemDetails'
      description: Internal server error (500)
    Qyl.Domains.Configurator.GenerationJobType:
      type: string
      enum:
        - full
        - incremental
        - preview
      description: Generation job types
    Qyl.Domains.Configurator.JobStatus:
      type: string
      enum:
        - queued
        - running
        - completed
        - failed
        - cancelled
      description: Job lifecycle status
    Qyl.Common.Errors.ProblemDetails:
      type: object
      required:
        - type
        - title
        - status
      properties:
        type:
          type: string
          format: uri
          description: A URI reference identifying the problem type
          default: about:blank
        title:
          type: string
          description: A short, human-readable summary of the problem type
        status:
          type: integer
          format: int32
          description: >-
            The HTTP status code (informational only, actual code set by
            subtype)
        detail:
          type: string
          description: A human-readable explanation specific to this occurrence
        instance:
          type: string
          format: uri
          description: A URI reference identifying the specific occurrence
        timestamp:
          type: string
          format: date-time
          description: Timestamp of the error
      description: RFC 7807 Problem Details for HTTP APIs

````